Subject: Bug (ID 1C0C2): Berkeley "From-space" line recognition

From: Rich Wales <[email-masked]>
Date: Thu, 12 Oct 1995 23:42:38 -0400 (EDT)

I recently switched over to Pine from a set of e-mail tools I wrote at
UCLA several years ago (RDM and SEND -- ask Terry Gray, he'll remember
them).  It was either that or hack RDM/SEND to be MIME-aware. :-}

One problem I encountered while doing the conversion was that Pine's
algorithm for detecting Berkeley-style "From-space" message separator
lines (the crufty "VALID" macro in c-client/bezerk.h) failed to recog-
nize the "From-space" lines used by RDM, for two reasons:

(1) There was no space between the hh:mm:ss and the numeric time zone.

(2) If the day of the month was less than 10, there was only one space
    between the month abbreviation and the day of the month.

For example:       From richw Sun Oct 1 23:38:18-0400 1995
instead of:        From richw Sun Oct  1 23:38:18 -0400 1995

I managed to get around this little problem by writing a batch "ex -s"
script that converted all the "From-space" lines in my saved mail fold-
ers into a format acceptable to Pine.  But it would seem to make more
sense to modify that "VALID" macro to accept such lines as they are.

As an LSJUMB "old fart" (see the dedication for the "VALID" macro), I
considered jumping into the fray and changing the macro myself, but I
just don't have the time to do so right at the moment.

Any possibility this little improvement could be made in 3.92?

Rich Wales
    ([email-masked]; formerly [email-masked];
    [email-masked] before that)
    Kitchener, Ontario, Canada
    VE3HKZ / WA6SGA

========== struct pine * ==========
ui:	login = richw, full = Rich Wales
	home = /u/richw
home_dir=	/u/richw
hostname=	pad.ia.opentext.com
localdom=	ia.opentext.com
userdom=	opentext.com
maildom=	opentext.com
cur_cntxt=	[]
cur_fldr=	INBOX
actual mbox=	/u/richw/Inbox/richw
msgmap: tot=58, cur=58, del=0, hid=0, exld=0, slct=0, sort=Arrival
inbox is mail_stream
term type=tfw, ttyname=/dev/tty03, size=50x80, speed=normal
======= Current_val options set =======
        personal-name : Rich Wales
              user-id : richw
          user-domain : opentext.com
           inbox-path : Inbox/richw
     incoming-folders : "admin" Inbox/admin
                      : "author.copy" Inbox/author.copy
                      : "digest" Inbox/digest
                      : "lds" Inbox/lds
                      : "mymail" Inbox/mymail
                      : "news" Inbox/news
                      : "postpone" Inbox/postpone
                      : "privacy" Inbox/privacy
                      : "procmail" Inbox/procmail
                      : "zip" Inbox/zip
   folder-collections : Mail/[]
          default-fcc : /u/richw/Inbox/author.copy
     postponed-folder : /u/richw/Inbox/postpone
       mail-directory : mail
       signature-file : .signature
         address-book : .addressbook
         feature-list : delete-skips-deleted
                      : enable-aggregate-command-set
                      : enable-alternate-editor-cmd
                      : enable-bounce-cmd
                      : enable-flag-cmd
                      : enable-full-header-cmd
                      : enable-incoming-folders
                      : enable-jump-shortcut
                      : enable-mail-check-cue
                      : enable-suspend
                      : enable-tab-completion
                      : enable-unix-pipe-cmd
                      : expanded-view-of-addressbooks
                      : expanded-view-of-folders
                      : include-text-in-reply
                      : save-will-quote-leading-froms
                      : save-will-advance
                      : show-selected-in-boldface
                      : signature-at-bottom
                      : auto-move-read-msgs
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
               editor : vi
 use-only-domain-name : no
              printer : attached-to-ansi
     standard-printer : lpr
 last-time-prune-ques : 95.10
    last-version-used : 3.91
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Command_line_val options set =======
======= User_val options set (/u/richw/.pinerc) =======
          user-domain : opentext.com
           inbox-path : Inbox/richw
     incoming-folders : "admin" Inbox/admin
                      : "author.copy" Inbox/author.copy
                      : "digest" Inbox/digest
                      : "lds" Inbox/lds
                      : "mymail" Inbox/mymail
                      : "news" Inbox/news
                      : "postpone" Inbox/postpone
                      : "privacy" Inbox/privacy
                      : "procmail" Inbox/procmail
                      : "zip" Inbox/zip
   folder-collections : Mail/[]
          default-fcc : ~/Inbox/author.copy
     postponed-folder : ~/Inbox/postpone
         feature-list : delete-skips-deleted
                      : enable-aggregate-command-set
                      : enable-alternate-editor-cmd
                      : enable-bounce-cmd
                      : enable-flag-cmd
                      : enable-full-header-cmd
                      : enable-incoming-folders
                      : enable-jump-shortcut
                      : enable-mail-check-cue
                      : enable-suspend
                      : enable-tab-completion
                      : enable-unix-pipe-cmd
                      : expanded-view-of-addressbooks
                      : expanded-view-of-folders
                      : include-text-in-reply
                      : save-will-quote-leading-froms
                      : save-will-advance
                      : show-selected-in-boldface
                      : signature-at-bottom
                      : auto-move-read-msgs
               editor : vi
 last-time-prune-ques : 95.10
    last-version-used : 3.91
======= Global_val options set (/usr/local/lib/pine.conf) =======
           inbox-path : inbox
          default-fcc : sent-mail
     postponed-folder : postponed-msgs
       mail-directory : mail
       signature-file : .signature
         address-book : .addressbook
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
 use-only-domain-name : no
              printer : attached-to-ansi
     standard-printer : lpr
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Fixed_val options set (NO pine.conf.fixed) =======
========== Feature settings ==========
  no-assume-slow-link
     auto-move-read-msgs
  no-auto-open-next-unread
  no-compose-rejects-unqualified-addrs
  no-compose-sets-newsgroup-without-confirm
     delete-skips-deleted
  no-disable-config-cmd
  no-disable-keyboard-lock-cmd
  no-disable-password-cmd
  no-disable-update-cmd
     enable-aggregate-command-set
     enable-alternate-editor-cmd
  no-enable-alternate-editor-implicitly
     enable-bounce-cmd
     enable-flag-cmd
     enable-full-header-cmd
     enable-incoming-folders
     enable-jump-shortcut
     enable-mail-check-cue
     enable-suspend
     enable-tab-completion
     enable-unix-pipe-cmd
     expanded-view-of-addressbooks
     expanded-view-of-folders
  no-expunge-without-confirm
  no-include-attachments-in-reply
  no-include-header-in-reply
     include-text-in-reply
  no-news-approximates-new-status
  no-news-post-without-validation
  no-news-read-in-newsrc-order
  no-preserve-start-stop-characters
  no-quell-user-lookup-in-passwd-file
  no-quit-without-confirm
     save-will-quote-leading-froms
  no-save-will-not-delete
     save-will-advance
  no-select-without-confirm
     show-selected-in-boldface
     signature-at-bottom
  no-use-current-dir
  no-use-function-keys